SDHLibrary-CPP 0.0.2.10 C++ access library for SCHUNK Dextrous Hand SDH

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# SDH::cSimpleTime Class Reference

Very simple class to measure elapsed time. More...

`#include <simpletime.h>`

List of all members.

## Public Member Functions
| cSimpleTime ()
| Constructor: store current time ("now") internally.
void | StoreNow (void)
| Store current time internally.
double | Elapsed (void) const
| Return time in seconds elapsed between the time stored in the object and now.
long | Elapsed_us (void) const
| Return time in micro seconds elapsed between the time stored in the object and now.
double | Elapsed (cSimpleTime const &other) const
| Return time in seconds elapsed between the time stored in the object and other.
long | Elapsed_us (cSimpleTime const &other) const
| Return time in micro seconds elapsed between the time stored in the object and other.
timeval | Timeval (void)
| Return the time stored as C struct timeval.
## Protected Attributes
struct timeval | a_time

## Detailed Description

Very simple class to measure elapsed time.

## Constructor & Destructor Documentation

SDH::cSimpleTime::cSimpleTime | ( |  | ) | `[inline]`

Constructor: store current time ("now") internally.

## Member Function Documentation

double SDH::cSimpleTime::Elapsed | ( | void |  | ) | const`[inline]`

Return time in seconds elapsed between the time stored in the object and now.

double SDH::cSimpleTime::Elapsed | ( | cSimpleTime const & | other | ) | const`[inline]`

Return time in seconds elapsed between the time stored in the object and other.

long SDH::cSimpleTime::Elapsed_us | ( | cSimpleTime const & | other | ) | const`[inline]`

Return time in micro seconds elapsed between the time stored in the object and other.

long SDH::cSimpleTime::Elapsed_us | ( | void |  | ) | const`[inline]`

Return time in micro seconds elapsed between the time stored in the object and now.

void SDH::cSimpleTime::StoreNow | ( | void |  | ) | `[inline]`

Store current time internally.

timeval SDH::cSimpleTime::Timeval | ( | void |  | ) | `[inline]`

Return the time stored as C struct timeval.

## Member Data Documentation

struct timeval SDH::cSimpleTime::a_time`[protected]`

The documentation for this class was generated from the following file:

- sdh/simpletime.h